import { frontEnd } from "name-dic";
import { BuiltInDictionary } from "./types";
export default (function (arr) {
    return arr.reduce(function (prev, cur) {
        if (typeof cur === "string") {
            switch (cur) {
                case BuiltInDictionary.frontEnd:
                    prev.push(frontEnd);
                    break;
            }
        }
        else {
            prev.push(cur);
        }
        return prev;
    }, []);
});
