import getInnerName from "./getInnerName";
export default (function (context, name) {
    var innerName = getInnerName(name);
    var names = context.innerNameMap.get(innerName);
    if (!names) {
        return;
    }
    var index = names.indexOf(name);
    if (~index) {
        names.splice(index, 1);
    }
    if (names.length === 0) {
        context.innerNameMap.delete(innerName);
        context.nspellInstance.remove(innerName);
    }
});
