import getInnerName from "./getInnerName";
export default (function (context, name) {
    var innerName = getInnerName(name);
    var names = context.innerNameMap.get(innerName);
    if (!names) {
        names = [name];
        context.innerNameMap.set(innerName, names);
        context.nspellInstance.add(innerName);
        return;
    }
    if (names.includes(name)) {
        return;
    }
    names.push(name);
});
