var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import getInnerName from "./getInnerName";
export default (function (dictionaries) {
    var innerDictionaries = [];
    dictionaries.forEach(function (dictionary) {
        var dic = dictionary.dic
            .trim()
            .split("\n")
            .map(function (name, i) {
            if (i === 0) {
                return name;
            }
            return getInnerName(name);
        })
            .join("\n");
        innerDictionaries.push(__assign(__assign({}, dictionary), { dic: dic }));
    });
    return innerDictionaries;
});
